javax.crypto.interfaces

## Interface DHKey

All Known Subinterfaces:
  DHPrivateKey, DHPublicKey

    public interface DHKey

The interface to a Diffie-Hellman key.

Since:
  1.4
See Also:
  `DHParameterSpec`, `DHPublicKey`, `DHPrivateKey`

### Method Summary

Methods
`DHParameterSpec` `getParams()` Returns the key parameters.

### Method Detail

#### getParams

    DHParameterSpec getParams()

Returns the key parameters.

Returns:
  the key parameters

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.